function E0090()
    MNA()CMU("CS_XXXX")FAI(0)
end
function E0091()
    MNA()CMU("CS_XXXX")FAI(1)
end
function E0092()
    MNA()CMU("CS_XXXX")FAI(2)
end
function E0093()
    MNA()CMU("CS_XXXX")FAI(3)
end
function E0094()
    MNA()CMU("CS_XXXX")FAI(4)
end

function Rescue1()
    KEY()
    HMC()
    ANP("Helicopter1","fly")
    ANP("Helicopter1","set_manned")
    ANP("Helicopter1","hover")
    ANP("Bluerobot1","transform_fish")
    ANP("Skydragon1","hover_kazuma")
    CMU("XXXX")
    WAI(16)
    FAI(2)
    FAC("kazuma_normal")MS3("So you're planning to") 
    CAT("\nswim out of there,")NOD()
    CAT("\nbut none of you can swim?")NOD()CLR()
    FAC("curly_normal")CAT("\nThat's about right...")NOD()CLR()
    FAC("professorbooster_normal")CAT("This is perfect timing,")NOD()
    CAT("\nbecause I happen to have")
    CAT("\na wand that can turn") 
    CAT("\ntargets into fish.")NOD()CLO()
    WAI(32)
    ANP("ProfessorBooster1","back",0)
    WAI(32)
    ANP("ProfessorBooster1","show_wand")
    WAI(32)
    ANP("ProfessorBooster1","normal",0)
    WAI(32)
    ANP("ProfessorBooster1","normal",1)
    WAI(32)
    FAC("misery_normal")MS3("\n!")NOD()CLR()
    CAT("Isn't that the") 
    CAT("\nFish Transformation wand?")NOD()
    CAT("\nOld man, do you know how to use it?")NOD()CLR()
    FAC("professorbooster_normal")CAT("No problem at all,")NOD()
    CAT("\nI've practiced many times")
    CAT("\non the way here.")NOD()CLR()
    FAC("misery_normal")CAT("Alright then~")NOD()
    CAT("\nI'll enhance and charge your wand,")NOD()
    CAT("\nthe aiming direction is up to you.")NOD()CLR()
    FAC("professorbooster_normal")CAT("\nUnderstood!")NOD()CLR()
    FAC("curly_normal")CAT("Hey!")NOD()
    CAT("\nAre you listening?")NOD()CLR()
    FAC("kazuma_normal")CAT("Ah, yes, it's like this,")NOD()
    CAT("\nwe're planning to cast")
    CAT("\na massive fish transformation spell")
    CAT("\nto help you escape from there.")NOD()CLR()
    FAC("curly_normal")CAT("\nI see~")NOD()CLO()
    FAO(2)
    TRA("CS_fortress_escape","Escape2",0,0)
end

function Rescue2()
    KEY()
    HMC()
    MNP("Helicopter1",3,20,1)
    MNP("ProfessorBooster1",3,19,1)
    MNP("Bluerobot1",2,19,1)
    MNP("Skydragon1",36,21,0)
    MNP("Misery1",35,3,0)
    ANP("Helicopter1","fly")
    ANP("Helicopter1","set_manned")
    ANP("Helicopter1","hover")
    ANP("Bluerobot1","transform_fish")
    ANP("Skydragon1","hover_kazuma")
    ANP("ProfessorBooster1","show_wand",1)
    ANP("ProfessorBooster1","magic",1)
    SNP("CS_giantmagicball",20,11,0,"mainLayer","GiantMagicBall1")
    ANP("GiantMagicBall1","charge")
    ANP("Misery1","charge")
    ANP("GiantMagicBall1","set_charge_energy_target")
    ANP("GiantMagicBall1","Misery1")
    SNP("CS_magicthunder",0,0,0,"mainLayer","MagicThunder1")
    ANP("MagicThunder1","set_from")ANP("MagicThunder1","ProfessorBooster1")
    ANP("MagicThunder1","set_from_dxdy")ANP("MagicThunder1",12,-40)
    ANP("MagicThunder1","set_target")ANP("MagicThunder1","GiantMagicBall1")
    CMU("XXXX")
    WAI(16)
    FAI(2)
    WAI(300)
    ANP("GiantMagicBall1","stop")
    ANP("Misery1","normal")
    WAI(32)
    ANP("GiantMagicBall1","down")
    WAI(32)
    ANP("ProfessorBooster1","normal",1)
    ANP("MagicThunder1","set_from_dxdy")ANP("MagicThunder1",26,4)
    WAI(128)
    FAO(2)
    TRA("CS_fortress_escape","Escape3",0,0)
end